/*
	sdisfnam.c		8/13/90

	% sed_IsFieldName

	C-scape 3.2
	Copyright (c) 1990, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
*/

#include "sed.h"

boolean sed_IsFieldName(sed_type sed, int fieldno, char *name)
/*
	Tests if a field has the given name.
	returns TRUE if it does, FALSE otherwise
*/
{
	char *fname;

	if ((fname = sed_GetFieldName(sed, fieldno)) != NULL) {
		if (strcmp(name, fname) == 0) {
			return(TRUE);
		}
	}

	return(FALSE);
}
